Bug 1008548 - Missing javadoc for org.hornetq
Missing javadoc for org.hornetq
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:58 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 10:58:50 EDT
Current javadoc is missing documentation for following jars and packages 
/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/hornetq/main/hornetq-jms-server-2.3.5.Final-redhat-2.jar
16 missing:
   org.hornetq.jms.transaction
   org.hornetq.jms.management.impl
   org.hornetq.jms.persistence.config
   org.hornetq.jms.persistence.impl.journal
   org.hornetq.jms.persistence.impl.nullpm
   org.hornetq.jms.persistence
   org.hornetq.jms.bridge
   org.hornetq.jms.bridge.impl
   org.hornetq.jms.server.management
   org.hornetq.jms.server.management.impl
   org.hornetq.jms.server
   org.hornetq.jms.server.embedded
   org.hornetq.jms.server.config.impl
   org.hornetq.jms.server.config
   org.hornetq.jms.server.impl
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:48 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:10:19 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 08:11:34 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.